> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ainvest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Economic events calendar

> Get economic events (e.g. GDP releases, employment reports) on the specified date.



## OpenAPI

````yaml reference/calendar/calendar.yaml GET /calendar/economics
openapi: 3.1.0
info:
  title: Get financial calendar
  description: >-
    Get financial calendar data, including earnings, corporate actions,
    dividends and other events
  version: 1.0.0
servers:
  - url: https://openapi.ainvest.com/open
    description: Production environment
security:
  - bearerAuth: []
tags:
  - name: Calendar
    description: Financial calendar events
    externalDocs:
      url: https://docs.ainvest.com/calendar
paths:
  /calendar/economics:
    get:
      tags:
        - Calendar
      summary: Get economic events calendar
      description: >-
        Get economic events (e.g. GDP releases, employment reports) on the
        specified date.
      operationId: getEconomicEventsCalendar
      parameters:
        - name: date
          in: query
          required: true
          description: The date for which to get the data, format YYYY-MM-DD
          schema:
            type: string
      responses:
        '200':
          description: Successful response in standard envelope
          content:
            application/json:
              schema:
                $schema: http://json-schema.org/draft-04/schema#
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      data:
                        type: array
                        description: >-
                          A list of economic events scheduled on the specified
                          date
                        items:
                          type: object
                          properties:
                            index:
                              type: string
                              description: >-
                                Event name, e.g. "EIA Distillate Fuel
                                Production", "Building Permits", etc.
                            importance:
                              type: number
                              description: Event importance, from 1 (low) to 3 (high)
                              enum:
                                - 1
                                - 2
                                - 3
                            actual:
                              type: string
                              description: Actual value reported
                            forecast:
                              type: string
                              description: Forecasted value before the release report
                            previous:
                              type: string
                              description: Previous value reported
                  status_code:
                    type: number
                    description: Status code, `0` for success
                  status_msg:
                    type: string
                    description: Status message, `success` for success
        '400':
          description: Validation error, i.e. date is not specified or invalid format
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                status_code: 4012
                status_msg: Invalid param
components:
  schemas:
    Error:
      type: object
      properties:
        status_code:
          type: integer
          description: Business status code
        status_msg:
          type: string
          description: Error message
      required:
        - status_code
        - status_msg
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your key. [Get the key
        here](https://www.ainvest.com/business/developer-manage/)

````